#ifndef SPEEDBARCFG_MCC_H
#define SPEEDBARCFG_MCC_H

/*********************************************************
**                                                      **
**      SpeedBarCfg.mcc                                 **
**                                                      **
**              1999 Simone Tellini                    **
**                                                      **
*********************************************************/

#ifndef LIBRARIES_MUI_H
#include <libraries/mui.h>
#endif

/// Support stuff
#ifndef REG
#ifdef _DCC
#define REG(x) __ ## x
#else
#define REG(x) register __ ## x
#endif
#endif

#ifndef ASM
#if defined __MAXON__ || defined __STORM__ || defined _DCC
#define ASM
#else
#define ASM __asm
#endif
#endif

#ifndef SAVEDS
#ifdef __MAXON__
#define SAVEDS
#endif
#if defined __STORM__ || defined __SASC
#define SAVEDS __saveds
#endif
#if defined _GCC || defined _DCC
#define SAVEDS __geta4
#endif
#endif


#ifndef MAKE_ID
#define MAKE_ID(a,b,c,d)    ((ULONG) (a)<<24 | (ULONG) (b)<<16 | (ULONG) (c)<<8 | (ULONG) (d))
#endif

#ifndef MIN
#define MIN(a,b)    (( a < b ) ? ( a ) : ( b ))
#endif

#ifndef MAX
#define MAX(a,b)    (( a > b ) ? ( a ) : ( b ))
#endif

#ifndef ABS
#define ABS(a) (((a) > 0) ? (a) : -(a))
#endif
///


#define MUIC_SpeedBarCfg    "SpeedBarCfg.mcc"
#define SpeedBarCfgObject   MUI_NewObject( MUIC_SpeedBarCfg

#define SBCTAGBASE          0xF76B00A0


/*************************
**      Methods         **
*************************/

#define MUIM_SpeedBarCfg_GetCfg         (SBCTAGBASE + 1)    /*  PRIVATE  */
#define MUIM_SpeedBarCfg_SetCfg         (SBCTAGBASE + 2)    /*  PRIVATE  */


/*************************
**      Attributes      **
*************************/

#define MUIA_SpeedBarCfg_Config         (SBCTAGBASE + 1)    /*  MUIS_SpeedBarCfg_Config *   ISG  */


/*************************
**      Values          **
*************************/

#define MUIV_SpeedBarCfg_Borderless     (1 << 0)
#define MUIV_SpeedBarCfg_Raising        (1 << 1)
#define MUIV_SpeedBarCfg_SmallButtons   (1 << 2)
#define MUIV_SpeedBarCfg_Sunny          (1 << 3)


/*************************
**      Structures      **
*************************/

struct MUIS_SpeedBarCfg_Config {
        UWORD               ViewMode;
        ULONG               Flags;
};


#endif /* SPEEDBARCFG_MCC_H */
